XCB 1.17.0

Data Fields
xcb_xkb_get_kbd_by_name_replies_t::[struct].types Struct Reference
XCB xkb API

## Data Fields
uint8_t | getmap_type
uint8_t | typeDeviceID
uint16_t | getmap_sequence
uint32_t | getmap_length
uint8_t | pad1 [2]
xcb_keycode_t | typeMinKeyCode
xcb_keycode_t | typeMaxKeyCode
uint16_t | present
uint8_t | firstType
uint8_t | nTypes
uint8_t | totalTypes
xcb_keycode_t | firstKeySym
uint16_t | totalSyms
uint8_t | nKeySyms
xcb_keycode_t | firstKeyAction
uint16_t | totalActions
uint8_t | nKeyActions
xcb_keycode_t | firstKeyBehavior
uint8_t | nKeyBehaviors
uint8_t | totalKeyBehaviors
xcb_keycode_t | firstKeyExplicit
uint8_t | nKeyExplicit
uint8_t | totalKeyExplicit
xcb_keycode_t | firstModMapKey
uint8_t | nModMapKeys
uint8_t | totalModMapKeys
xcb_keycode_t | firstVModMapKey
uint8_t | nVModMapKeys
uint8_t | totalVModMapKeys
uint8_t | pad2
uint16_t | virtualMods
xcb_xkb_get_kbd_by_name_replies_types_map_t | map

The documentation for this struct was generated from the following files: